BARCODE_SPLIT(1)

NAME
Barcode_split - simple tool to split sequencing summary report in per barcodes

DESCRIPTION
usage: Barcode_split [-h] [--version] --summary_file

[SUMMARY_FILE [SUMMARY_FILE ...]]
    [--barcode_file [BARCODE_FILE [BARCODE_FILE ...]]] [--output_dir OUTPUT_DIR] [--output_unclassified] [--min_barcode_percent MIN_BARCODE_PERCENT] [-v | -q]

Barcode_split is a simple tool to split sequencing summary report in per barcodes

  optional arguments:

-h, --help
    show this help message and exit

--version
    show program's version number and exit

--summary_file [SUMMARY_FILE [SUMMARY_FILE ...]], -f [SUMMARY_FILE [SUMMARY_FILE ...]]
    Path to a sequencing_summary generated by Albacore 1.0.0 + (read_fast5_basecaller.py) / Guppy 2.1.3+ (guppy_basecaller). One can also pass multiple space separated file paths or a UNIX style regex matching multiple files

--barcode_file [BARCODE_FILE [BARCODE_FILE ...]], -b [BARCODE_FILE [BARCODE_FILE ...]]
    Path to the barcode_file generated by Guppy 2.1.3+ (guppy_barcoder) or Deepbinner 0.2.0+. One can also pass multiple space separated file paths or a UNIX style regex matching multiple files

--output_dir OUTPUT_DIR, -o OUTPUT_DIR
    Folder where to output split barcode data (default: current dir

--output_unclassified, -u
    If given, unclassified barcodes are also written in a file. By default they are skipped

--min_barcode_percent MIN_BARCODE_PERCENT, -p MIN_BARCODE_PERCENT
    Minimal percent of total reads to retain barcode label. If below, the barcode value is set as `unclassified` (default: 0.1)

-v, --verbose
    Increase verbosity

-q, --quiet
    Reduce verbosity

AUTHOR
 This manpage was written by Andreas Tille for the Debian distribution and
 can be used for any other usage of the program.